<?php
/**
 * Custom search form.
 *
 * @package Northfield_Theatre
 * @since 1.0.0
 */

$unique_id = wp_unique_id( 'search-form-' );
?>
<form role="search"
      method="get"
      class="search-form"
      action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label class="sr-only" for="<?php echo esc_attr( $unique_id ); ?>">
		<?php esc_html_e( 'Search for:', 'northfield-theatre' ); ?>
	</label>
	<div class="search-form__inner">
		<input type="search"
		       id="<?php echo esc_attr( $unique_id ); ?>"
		       class="search-form__input form-input"
		       placeholder="<?php esc_attr_e( 'Search events, pages...', 'northfield-theatre' ); ?>"
		       value="<?php echo get_search_query(); ?>"
		       name="s" />
		<button type="submit" class="btn btn--primary search-form__submit">
			<?php esc_html_e( 'Search', 'northfield-theatre' ); ?>
		</button>
	</div>
</form>
